<bugID>1126639<Summary>browser_responsiveruleview.js permafails when app.update.channel is set to beta</Summary><Description>[Tracking Requested - why for this release]: Test failures when Gecko 38 is uplifted to beta.

Happens on opt and debug builds across all platforms.

https://treeherder.mozilla.org/logviewer.html#?job_id=4503081&amp;repo=try

12:00:12 INFO - 4593 INFO TEST-START | browser/devtools/responsivedesign/test/browser_responsiveruleview.js
12:00:12 INFO - console.error:
12:00:12 INFO - Message: TypeError: can't access dead object
12:00:12 INFO - Stack:
12:00:12 INFO - CanvasFrameAnonymousContentHelper.prototype.destroy@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/highlighter.js:440:7
12:00:12 INFO - BoxModelHighlighter.prototype&lt;.destroy@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/highlighter.js:949:5
12:00:12 INFO - exports.HighlighterActor&lt;._destroyHighlighter@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/highlighter.js:125:7
12:00:12 INFO - exports.HighlighterActor&lt;.destroy@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/highlighter.js:145:5
12:00:12 INFO - Pool&lt;.destroy@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/protocol.js:813:9
12:00:12 INFO - Actor&lt;.destroy@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/protocol.js:885:5
12:00:12 INFO - Pool&lt;.cleanup@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/protocol.js:827:5
12:00:12 INFO - DSC_onClosed/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/main.js:1539:40
12:00:12 INFO - DSC_onClosed@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/main.js:1539:5
12:00:12 INFO - LocalDebuggerTransport.prototype.close@resource://gre/modules/devtools/dbg-client.jsm -&gt; resource://gre/modules/devtools/transport/transport.js:636:9
12:00:12 INFO - LocalDebuggerTransport.prototype.close@resource://gre/modules/devtools/dbg-client.jsm -&gt; resource://gre/modules/devtools/transport/transport.js:632:7
12:00:12 INFO - DebuggerClient.prototype.close/detachClients@resource://gre/modules/devtools/dbg-client.jsm:436:9
12:00:12 INFO - DebuggerClient.requester/&lt;/&lt;@resource://gre/modules/devtools/dbg-client.jsm:352:9
12:00:12 INFO - makeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:82:14
12:00:12 INFO - emit@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/commonjs/sdk/event/core.js:97:9
12:00:12 INFO - Request.prototype.emit@resource://gre/modules/devtools/dbg-client.jsm:1115:29
12:00:12 INFO - DebuggerClient.prototype.onPacket@resource://gre/modules/devtools/dbg-client.jsm:955:7
12:00:12 INFO - LocalDebuggerTransport.prototype.send/&lt;@resource://gre/modules/devtools/dbg-client.jsm -&gt; resource://gre/modules/devtools/transport/transport.js:545:11
12:00:12 INFO - makeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:82:14
12:00:12 INFO - makeInfallible/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/DevToolsUtils.js:82:14 
12:00:35 INFO - 1422388835159 Browser.Experiments.Experiments TRACE Experiments #0::enabled=true, true
12:00:35 INFO - 1422388835162 Browser.Experiments.Experiments TRACE Experiments #0::Registering instance with Addon Manager.
12:00:35 INFO - 1422388835164 Browser.Experiments.Experiments TRACE Experiments #0::Registering previous experiment add-on provider.
12:00:35 INFO - 1422388835166 Browser.Experiments.Experiments TRACE PreviousExperimentProvider #0::startup()
12:00:35 INFO - 1422388835168 Browser.Experiments.Experiments TRACE Experiments #0::_loadFromCache
12:00:35 INFO - 1422388835183 Browser.Experiments.Experiments TRACE Experiments #0::_loadTask finished ok
12:00:35 INFO - 1422388835185 Browser.Experiments.Experiments TRACE Experiments #0::_run
12:00:35 INFO - 1422388835186 Browser.Experiments.Experiments TRACE Experiments #0::_main iteration
12:00:35 INFO - 1422388835187 Browser.Experiments.Experiments TRACE Experiments #0::_evaluateExperiments
12:00:35 INFO - 1422388835192 Browser.Experiments.Experiments TRACE Experiments #0::_main finished, scheduling next run
12:01:42 INFO - Xlib: extension "RANDR" missing on display ":0".
12:01:44 INFO - TEST-INFO | screentopng: exit 0
12:01:44 INFO - 4594 INFO checking window state
12:01:44 INFO - 4595 INFO Console message: [JavaScript Warning: "Selector expected. Ruleset ignored due to bad selector." {file: "data:text/html;charset=utf-8,&lt;html&gt;&lt;style&gt;div%20{%20%20width:%20500px;%20%20height:%2010px;%20%20background:%20purple;}%20@media%20screen%20and%20(max-width:%20200px)%20{%20%20div%20{%20%20%20%20%20width:%20100px;%20%20}};&lt;/style&gt;&lt;div&gt;&lt;/div&gt;&lt;/html&gt;" line: 1 column: 125 source: "div { width: 500px; height: 10px; background: purple;} @media screen and (max-width: 200px) { div { width: 100px; }};"}]
12:01:44 INFO - 4596 INFO Console message: [JavaScript Warning: "Unexpected end of file while searching for closing } of invalid rule set." {file: "data:text/html;charset=utf-8,&lt;html&gt;&lt;style&gt;div%20{%20%20width:%20500px;%20%20height:%2010px;%20%20background:%20purple;}%20@media%20screen%20and%20(max-width:%20200px)%20{%20%20div%20{%20%20%20%20%20width:%20100px;%20%20}};&lt;/style&gt;&lt;div&gt;&lt;/div&gt;&lt;/html&gt;" line: 1 column: 126 source: "div { width: 500px; height: 10px; background: purple;} @media screen and (max-width: 200px) { div { width: 100px; }};"}]
12:01:44 INFO - 4597 INFO TEST-PASS | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | instance of the module is attached to the tab.
12:01:44 INFO - 4598 INFO Opening the inspector
12:01:44 INFO - 4599 INFO Opening the toolbox
12:01:44 INFO - 4600 INFO Making sure that the toolbox's frame is focused
12:01:44 INFO - 4601 INFO Waiting for the inspector to update
12:01:44 INFO - 4602 INFO Selecting the ruleview sidebar
12:01:44 INFO - 4603 INFO TEST-PASS | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | Got inspector instance
12:01:44 INFO - 4604 INFO TEST-PASS | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | Should have two rules initially.
12:01:44 INFO - 4605 INFO TEST-PASS | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | Should have three rules after shrinking.
12:01:44 INFO - 4606 INFO TEST-PASS | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | Should have two rules after growing.
12:01:44 INFO - 4607 INFO TEST-PASS | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | menu checked
12:01:44 INFO - 4608 INFO TEST-PASS | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | Console is not split. 
12:01:44 INFO - 4609 INFO Console message: [JavaScript Warning: "Key event not available on some keyboard layouts: key="c" modifiers="accel,alt"" {file: "chrome://mochikit/content/tests/SimpleTest/specialpowersAPI.js" line: 154}]
12:01:44 INFO - 4610 INFO Console message: 1422388835159 Browser.Experiments.Experiments TRACE Experiments #0::enabled=true, true
12:01:44 INFO - 4611 INFO Console message: 1422388835162 Browser.Experiments.Experiments TRACE Experiments #0::Registering instance with Addon Manager.
12:01:44 INFO - 4612 INFO Console message: 1422388835164 Browser.Experiments.Experiments TRACE Experiments #0::Registering previous experiment add-on provider.
12:01:44 INFO - 4613 INFO Console message: 1422388835166 Browser.Experiments.Experiments TRACE PreviousExperimentProvider #0::startup()
12:01:44 INFO - 4614 INFO Console message: 1422388835168 Browser.Experiments.Experiments TRACE Experiments #0::_loadFromCache
12:01:44 INFO - 4615 INFO Console message: 1422388835183 Browser.Experiments.Experiments TRACE Experiments #0::_loadTask finished ok
12:01:44 INFO - 4616 INFO Console message: 1422388835185 Browser.Experiments.Experiments TRACE Experiments #0::_run
12:01:44 INFO - 4617 INFO Console message: 1422388835186 Browser.Experiments.Experiments TRACE Experiments #0::_main iteration
12:01:44 INFO - 4618 INFO Console message: 1422388835187 Browser.Experiments.Experiments TRACE Experiments #0::_evaluateExperiments
12:01:44 INFO - 4619 INFO Console message: 1422388835192 Browser.Experiments.Experiments TRACE Experiments #0::_main finished, scheduling next run
12:01:44 INFO - 4620 INFO Console message: 1422388866628 Services.HealthReport.HealthReporter WARN Saved state file does not exist.
12:01:44 INFO - 4621 INFO Console message: 1422388866628 Services.HealthReport.HealthReporter WARN No prefs data found.
12:01:44 INFO - 4622 INFO TEST-UNEXPECTED-FAIL | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | Test timed out - expected PASS
12:01:44 INFO - 4623 INFO MEMORY STAT vsize after test: 596684800
12:01:44 INFO - 4624 INFO MEMORY STAT residentFast after test: 159023104
12:01:44 INFO - 4625 INFO MEMORY STAT heapAllocated after test: 62784044
12:01:44 INFO - 4626 INFO TEST-OK | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | took 90095ms
12:01:44 INFO - 4627 INFO TEST-UNEXPECTED-FAIL | browser/devtools/responsivedesign/test/browser_responsiveruleview.js | Found a tab after previous test timed out: data:text/html;charset=utf-8,&lt;html&gt;&lt;style&gt;div%20{%20%20width:%20500px;%20%20height:%2010px;%20%20background:%20purple;}%20@media%20screen%20and%20(max-width:%20200px)%20{%20%20div%20{%20%20%20%20%20width:%20100px;%20%20}};&lt;/style&gt;&lt;div&gt;&lt;/div&gt;&lt;/html&gt; - expected PASS</Description></bugID>